Page MenuHomePhabricator

ButtonWithSpinner image 404s
Closed, ResolvedPublic

Description

load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150507T…:97 GET http://localhost:8888/w/extensions/MobileFrontend/resources/mobile.buttonWithSpinner/images/ajax-loader.gif 404 (Not Found)

We should put the icon in this folder or generalise the rule(s) in less/spinner.less

Modules should not use images provided/used by other modules because this sort of thing happens.

Event Timeline

Jdlrobson created this task.May 7 2015, 2:42 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to To Triage on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 2:42 PM
phuedx added a subscriber: phuedx.May 8 2015, 11:25 AM

Modules should not use images provided/used by other modules because this sort of thing happens.

… or we have a module that provides shared UI components.

I'm not suggesting that's the fix here.

Yup that would also work but we shouldn't refer to files inside other modules :-)

Change 210105 had a related patch set uploaded (by Bmansurov):
Add missing image

https://gerrit.wikimedia.org/r/210105

Change 210105 merged by jenkins-bot:
Add missing image

https://gerrit.wikimedia.org/r/210105

phuedx closed this task as Resolved.May 12 2015, 10:01 AM
phuedx removed a project: Patch-For-Review.